import glob
import os
from datetime import datetime

from google.cloud import storage

from liveramp_automation.logger import Logger
from liveramp_automation.time_util import MACROS


def upload_to_bucket(src_path, dest_bucket_name, dest_path):
    bucket = storage.Client().bucket(dest_bucket_name)
    if os.path.isfile(src_path):
        blob = bucket.blob(os.path.join(dest_path, os.path.basename(src_path)))
        blob.upload_from_filename(src_path)
        return
    for item in glob.glob(src_path + '/*'):
        if os.path.isfile(item):
            if item == ".keep":
                continue
            blob = bucket.blob(os.path.join(dest_path, os.path.basename(item)))
            blob.upload_from_filename(item)
            Logger.info(item + " has been uploaded.")
        else:
            upload_to_bucket(item, dest_bucket_name, os.path.join(dest_path, os.path.basename(item)))

#
# def upload_all_reports_according_to_JenkinsSeq(bucketName, path):
#     now_string = MACROS["now"]
#     if not os.environ.get('ENVCHOICE'):
#         os.environ['ENVCHOICE'] = "prod"
#     if not os.environ.get('JENKINS_TT'):
#         os.environ['JENKINS_TT'] = now_string
#     jenkins_tt = os.environ["JENKINS_TT"]
#     print("************Upload reports******************")
#     date_object = datetime.strptime(now_string, '%Y%m%d%H%M%S')
#     path = path.format(jenkins_tt)
#     prefix = date_object.strftime(path)
#     upload_to_bucket("./reports", bucketName, prefix)
#     print("************Upload Reports Has Completed.******************")
#
#
# if __name__ == '__main__':
#     bucketName = os.environ["BUCKETNAME"]
#     path = os.environ["PATH"]
#     upload_all_reports_according_to_JenkinsSeq(bucketName, path)
